Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.i18n
Class CoreMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.config.i18n.CoreMessages

    public class CoreMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`CoreMessages()`

Method Summary
`static Message` | `agentsRunning()`
`static Message` | `applicationShutdownNormally(String appName, Date date)`
`static Message` | `applicationWasUpForDuration(long duration)`
`static Message` | `asyncDoesNotSupportTransactions()`
`static Message` | `authDeniedOnEndpoint(EndpointURI endpointURI)`
`static Message` | `authEndpointMustSendOrReceive()`
`static Message` | `authFailedForUser(Object user)`
`static Message` | `authNoCredentials()`
`static Message` | `authNoEncryptionStrategy(String strategyName)`
`static Message` | `authNoSecurityProvider(String providerName)`
`static Message` | `authorizationAttemptFailed()`
`static Message` | `authSecurityManagerNotSet()`
`static Message` | `authSetButNoContext(String name)`
`static Message` | `authTypeNotRecognised(String string)`
`static Message` | `cannotCopyStreamPayload(String streamType)`
`static Message` | `cannotFindBindingForMethod(String name)`
`static Message` | `cannotInstanciateFinder(String serviceFinder)`
`static Message` | `cannotLoadFromClasspath(String string)`
`static Message` | `cannotReadPayloadAsBytes(String type)`
`static Message` | `cannotReadPayloadAsString(String type)`
`static Message` | `cannotRenameInboundScopeProperty(String fromKey, String toKey)`
`static Message` | `cannotSetObjectOnceItHasBeenSet(String string)`
`static Message` | `cannotSetPropertyOnObjectWithParamType(String property, Class<?> class1, Class<?> class2)`
`static Message` | `cannotStartTransaction(String string)`
`static Message` | `cannotUseTxAndRemoteSync()`
`static Message` | `commitTxButNoResource(Transaction tx)`
`static Message` | `componentCausedErrorIs(Object component)`
`static Message` | `componentNotRegistered(String name)`
`static Message` | `configNotFoundUsage()`
`static Message` | `configurationBuilderError(ConfigurationBuilder configurationBuilder)`
`static Message` | `configurationBuilderNoMatching(String resource)`
`static Message` | `configurationBuilderSuccess(ConfigurationBuilder configurationBuilder, int numResources)`
`static Message` | `configurationBuilderSuccess(ConfigurationBuilder configurationBuilder, String resources)`
`static Message` | `connectorCausedError()`
`static Message` | `connectorCausedError(Object connector)`
`static Message` | `connectorSchemeIncompatibleWithEndpointScheme(Object expected, Object actual)`
`static Message` | `connectorWithProtocolNotRegistered(String scheme)`
`static Message` | `containerAlreadyRegistered(String name)`
`static Message` | `correlationTimedOut(Object groupId)`
`static Message` | `couldNotDetermineDestinationComponentFromEndpoint(String endpoint)`
`static Message` | `cryptoFailure()`
`static Message` | `days()`
`static Message` | `descriptorAlreadyExists(String name)`
`static Message` | `dynamicEndpointsMustSpecifyAScheme()`
`static Message` | `dynamicEndpointURIsCannotBeUsedOnInbound()`
`static Message` | `encryptionStrategyNotSet()`
`static Message` | `endpointIsMalformed(String endpoint)`
`static Message` | `endpointIsNullForListener()`
`static Message` | `endpointNotFound(String endpoint)`
`static Message` | `errorInvokingMessageProcessorAsynchronously(MessageProcessor processor)`
`static Message` | `errorInvokingMessageProcessorWithinTransaction(MessageProcessor processor, TransactionConfig transactionConfig)`
`static Message` | `errorReadingStream()`
`static Message` | `errorSchedulingMessageProcessorForAsyncInvocation(MessageProcessor processor)`
`static Message` | `eventProcessingFailedFor(String name)`
`static Message` | `eventTypeNotRecognised(String string)`
`static Message` | `exceptionListenerMustUseOutboundEndpoint(AbstractExceptionListener exceptionListener, ImmutableEndpoint endpoint)`
`static Message` | `exceptionOnConnectorNoExceptionListener(String name)`
`static Message` | `exceptionStackIs()`
`static Message` | `exchangePatternForEndpointNotSupported(MessageExchangePattern mep, String direction, EndpointURI endpointURI)`
`static Message` | `expressionEnricherNotRegistered(String key)`
`static Message` | `expressionEvaluatorNotRegistered(String key)`
`static Message` | `expressionEvaluatorReturnedNull(String name, String expr)`
`static Message` | `expressionInvalidForProperty(String property, String expr)`
`static Message` | `expressionMalformed(String expr, String eval)`
`static Message` | `expressionResultWasNull(String expression)`
`static Message` | `failedToBuildMessage()`
`static Message` | `failedToClone(String string)`
`static Message` | `failedToConvertStringUsingEncoding(String encoding)`
`static Message` | `failedToCreate(String string)`
`static Message` | `failedToCreateConnectorFromUri(EndpointURI uri)`
`static Message` | `failedToCreateEndpointFromLocation(String string)`
`static Message` | `failedToCreateManagerInstance(String className)`
`static Message` | `failedToCreateObjectWith(String string, Object arg)`
`static Message` | `failedToCreateProxyFor(Object target)`
`static Message` | `failedToDispatchToReplyto(ImmutableEndpoint endpoint)`
`static Object` | `failedToDispose(String string)`
`static Message` | `failedToFindEntrypointForComponent(String message)`
`static Message` | `failedToGetOutputStream()`
`static Message` | `failedToGetPooledObject()`
`static Message` | `failedToInitSecurityProvider(String providerClass)`
`static Message` | `failedToInvoke(String string)`
`static Message` | `failedToInvokeLifecycle(String phaseName, Object object)`
`static Message` | `failedToInvokeRestService(String service)`
`static Message` | `failedToLoad(String string)`
`static Message` | `failedToLoadTransformer(String direction, String transformer)`
`static Message` | `failedToProcessExtractorFunction(String name)`
`static Message` | `failedToReadAttachment(String string)`
`static Message` | `failedToReadFromStore(String absolutePath)`
`static Message` | `failedToReadPayload()`
`static Message` | `failedToRecevieWithTimeout(Object endpoint, long timeout)`
`static Message` | `failedtoRegisterOnEndpoint(String name, Object endpointURI)`
`static Message` | `failedToRouterViaEndpoint(MessageProcessor target)`
`static Message` | `failedToScheduleWork()`
`static Message` | `failedToSetPropertiesOn(String string)`
`static Message` | `failedToSetProxyOnService(Object proxy, Class<?> routerClass)`
`static Message` | `failedToStart(String string)`
`static Message` | `failedToStartInboundEndpoint(InboundEndpoint endpoint)`
`static Message` | `failedToStop(String string)`
`static Message` | `failedToStopInboundEndpoint(InboundEndpoint endpoint)`
`static Message` | `failedToUnregister(String name, Object endpointURI)`
`static Message` | `failedToWriteMessageToStore(Object id, String storeName)`
`static Message` | `fatalErrorInShutdown()`
`static Message` | `fatalErrorWhileRunning()`
`static Message` | `headerMalformedValueIs(String header, String value)`
`static Message` | `hours()`
`static Message` | `illegalMIMEType(String badMIMIEType)`
`static Message` | `initialisationFailure(String string)`
`static Message` | `interruptedQueuingEventFor(Object object)`
`static Message` | `interruptedWaitingForPaused(String name)`
`static Message` | `invocationSuccessfulCantSetError()`
`static Message` | `isStopped(String name)`
`static Message` | `lifecycleErrorCannotUseConnector(String name, String lifecyclePhase)`
`static Message` | `lifecycleMethodCannotBeStatic(Method method)`
`static Message` | `lifecycleMethodCannotThrowChecked(Method method)`
`static Message` | `lifecycleMethodNotVoidOrHasParams(Method method)`
`static Message` | `lifecyclePhaseNotRecognised(String phase)`
`static Message` | `listenerAlreadyRegistered(EndpointURI endpointUri)`
`static Message` | `managerAlreadyStarted()`
`static Message` | `messageIsOfType(Class<?> type)`
`static Message` | `messageNotSupportedByMuleMessageFactory(Object message, Class<?> creator)`
`static Message` | `messageRejectedByFilter()`
`static Message` | `methodWithNumParamsNotFoundOnObject(String method, int numArgments, Object object)`
`static Message` | `methodWithParamsNotFoundOnObject(String method, Object class1, Class<?> class2)`
`static Message` | `minutes()`
`static Message` | `moreThanOneConnectorWithProtocol(String protocol, String connectors)`
`static Message` | `mustSetMethodNamesOnBinding()`
`static Message` | `nestedRetry()`
`static Message` | `noCatchAllEndpointSet()`
`static Message` | `noComponentForEndpoint()`
`static Message` | `noCorrelationId()`
`static Message` | `noCurrentEventForTransformer()`
`static Message` | `noDelegateClassAndMethodProvidedForNoArgsWrapper()`
`static Message` | `noDelegateClassIfDelegateInstanceSpecified()`
`static Message` | `noEndpointsForRouter()`
`static Message` | `noEntryPointFoundForNoArgsMethod(Object component, String methodName)`
`static Message` | `noEntryPointFoundForNoArgsMethodUsingResolver(Object component, String methodName)`
`static Message` | `noEntryPointFoundWithArgs(Object object, Object args)`
`static Message` | `noEntryPointFoundWithArgsUsingResolver(Object object, Object args)`
`static Message` | `noJtaTransactionAvailable(Thread callingThread)`
`static Message` | `noMatchingMethodsOnObjectCalledUsingResolver(Object object, String methodName)`
`static Message` | `noMatchingMethodsOnObjectReturning(Object object, Class<?> returnType)`
`static Message` | `noMatchingMethodsOnObjectReturningUsingResolver(Object object, Class<?> returnType)`
`static Message` | `noMuleTransactionAvailable()`
`static Message` | `none()`
`static Message` | `noOutboundRouterSetOn(String string)`
`static Message` | `normalShutdown()`
`static Message` | `noServiceQueueTimeoutSet(Service service)`
`static Message` | `noServiceTransportDescriptor(String protocol)`
`static Message` | `notClustered()`
`static Message` | `notConnectedYet(String what)`
`static Message` | `notificationListenerSubscriptionAlreadyRegistered(ListenerSubscriptionPair listenerPair)`
`static Message` | `notMuleXaTransaction(Object tx)`
`static Message` | `noTransformerFoundForMessage(DataType<?> input, DataType<?> output)`
`static Message` | `notSet()`
`static Message` | `objectAlreadyExists(String key)`
`static Message` | `objectAlreadyInitialised(String name)`
`static Message` | `objectAlreadyRegistered(String name, Object origObject, Object newObject)`
`static Message` | `objectDoesNotImplementInterface(Object object, Class<?> interfaceClass)`
`static Message` | `objectFailedToInitialise(String string)`
`static Message` | `objectHasMoreThanOnePostConstructAnnotation(Class<?> clazz)`
`static Message` | `objectHasMoreThanOnePreDestroyAnnotation(Class<?> clazz)`
`static Message` | `objectIsNull(String string)`
`static Message` | `objectNotFound(Object object)`
`static Message` | `objectNotFound(String type, String object)`
`static Message` | `objectNotOfCorrectType(Class<?> actualClass, Class<?> expectedClass)`
`static Message` | `objectNotOfCorrectType(Class<?> actualClass, Class<?>[] expectedClass)`
`static Message` | `objectNotRegistered(String type, String name)`
`static Message` | `objectNotSetInService(Object object, Object service)`
`static Message` | `outboundRouterMustUseOutboudEndpoints(OutboundRouter router, ImmutableEndpoint endpoint)`
`static Message` | `productInformation()` Returns a message that is a product informatin.
`static Message` | `propertiesNotSet(String string)`
`static Message` | `propertiesOrNotSet(String name, String properties)`
`static Message` | `propertyDoesNotExistOnObject(String property, Object object)`
`static Message` | `propertyHasInvalidValue(String property, Object value)`
`static Message` | `propertyIsNotSetOnEvent(String property)`
`static Message` | `propertyIsNotSupportedType(String property, Class<?>[] expected, Class<?> actual)`
`static Message` | `propertyIsNotSupportedType(String property, Class<?> expected, Class<?> actual)`
`static Message` | `proxyPoolTimedOut()`
`static Message` | `reconnectStrategyFailed(Class<?> strategy, String description)`
`static Message` | `resourceManagerDirty()`
`static Message` | `resourceManagerNotReady()`
`static Message` | `resourceManagerNotStarted()`
`static Message` | `responseTimedOutWaitingForId(int timeout, Object id)`
`static Message` | `retryPolicyExhausted(RetryPolicyTemplate policy)`
`static Message` | `rollbackTxButNoResource(Transaction tx)`
`static Message` | `rootStackTrace()`
`static Message` | `routingFailedOnEndpoint(Service service, ImmutableEndpoint endpoint)`
`static Message` | `schemeCannotChangeForRouter(String scheme, String scheme2)`
`static Message` | `schemeNotCompatibleWithConnector(String scheme, Class<?> expectedClass)`
`static Message` | `seconds()`
`static Message` | `serverNotificationManagerNotEnabled()`
`static Message` | `serverShutdownAt(Date date)`
`static Message` | `serverStartedAt(long startDate)`
`static Message` | `serverWasUpForDuration(long duration)`
`static Message` | `serviceFinderCantFindService(String name)`
`static Message` | `sessionValueIsMalformed(String string)`
`static Message` | `shutdownNormally(Date date)`
`static Message` | `splitMessageNoEndpointMatch(List<?> endpoints, Object messagePart)`
`static Message` | `stopPausedSedaStageNonPeristentQueueMessageLoss(int num, String name)`
`static Message` | `streamingComponentMustHaveOneEndpoint(String name)`
`static Message` | `streamingEndpointsDoNotSupportTransformers()`
`static Message` | `streamingEndpointsMustBeUsedWithStreamingModel()`
`static Message` | `streamingFailedForEndpoint(String string)`
`static Message` | `streamingFailedNoStream()`
`static Message` | `streamingNotSupported(String protocol)`
`static Message` | `templateCausedMalformedEndpoint(String uri, String newUri)`
`static Message` | `tooManyAcceptableMethodsOnObjectForTypes(Object object, Object types)`
`static Message` | `tooManyAcceptableMethodsOnObjectUsingResolverForTypes(Object object, Object types, String methods)`
`static Message` | `tooManyMatchingMethodsOnObjectUsingResolverWhichReturn(Object object, Object returnType)`
`static Message` | `tooManyMatchingMethodsOnObjectWhichReturn(Object object, Object returnType)`
`static Message` | `transactionAlreadyBound()`
`static Message` | `transactionAvailableButActionIs(String string)`
`static Message` | `transactionCannotBindNullResource()`
`static Message` | `transactionCannotBindToNullKey()`
`static Message` | `transactionCannotReadState()`
`static Message` | `transactionCannotUnbind()`
`static Message` | `transactionCanOnlyBindToResources(String string)`
`static Message` | `transactionCommitFailed()`
`static Message` | `transactionFactoryIsMandatory(String action)`
`static Message` | `transactionManagerAlreadySet()`
`static Message` | `transactionMarkedForRollback()`
`static Message` | `transactionNotAvailableButActionIs(String string)`
`static Message` | `transactionResourceAlreadyListedForKey(Object key)`
`static Message` | `transactionRollbackFailed()`
`static Message` | `transactionSingleResourceOnly()`
`static Message` | `transforemrMapBeanClassNotSet()`
`static Message` | `transformerInvalidReturnType(Class<?> clazz, String transformerName)`
`static Message` | `transformerNotImplementDiscoverable(Transformer transformer)`
`static Message` | `transformFailed(String from, DataType<?> to)`
`static Message` | `transformFailed(String from, String to)`
`static Message` | `transformFailedBeforeFilter()`
`static Message` | `transformFailedFrom(Class<?> clazz)`
`static Message` | `transformHasMultipleMatches(Class<?> input, Class<?> output, Transformer transformer1, Transformer transformer2)`
`static Message` | `transformOnObjectNotOfSpecifiedType(DataType<?> resultType, Object expectedType)`
`static Message` | `transformOnObjectUnsupportedTypeOfEndpoint(String name, Class<?> class1, ImmutableEndpoint endpoint)`
`static Message` | `transformUnexpectedType(Class<?> class1, Class<?> returnClass)`
`static Message` | `transformUnexpectedType(DataType<?> dt1, DataType<?> dt2)`
`static Message` | `unexpectedMIMEType(String badMIMIEType, String goodMIMEType)`
`static Message` | `uniqueIdNotSupportedByAdapter(String name)`
`static Message` | `unrecognisedServiceType(ServiceType type)`
`static Message` | `valueIsInvalidFor(String value, String parameter)`
`static Message` | `version()`
`static Message` | `versionNotSet()`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreMessages

    public CoreMessages()

Method Detail

### versionNotSet

    public static Message versionNotSet()

### serverStartedAt

    public static Message serverStartedAt(long startDate)

### serverShutdownAt

    public static Message serverShutdownAt(Date date)

### agentsRunning

    public static Message agentsRunning()

### notSet

    public static Message notSet()

### version

    public static Message version()

### shutdownNormally

    public static Message shutdownNormally(Date date)

### serverWasUpForDuration

    public static Message serverWasUpForDuration(long duration)

### configNotFoundUsage

    public static Message configNotFoundUsage()

### fatalErrorWhileRunning

    public static Message fatalErrorWhileRunning()

### rootStackTrace

    public static Message rootStackTrace()

### exceptionStackIs

    public static Message exceptionStackIs()

### messageIsOfType

    public static Message messageIsOfType(Class<?> type)

### fatalErrorInShutdown

    public static Message fatalErrorInShutdown()

### normalShutdown

    public static Message normalShutdown()

### none

    public static Message none()

### notClustered

    public static Message notClustered()

### failedToRouterViaEndpoint

    public static Message failedToRouterViaEndpoint(MessageProcessor target)

### lifecycleErrorCannotUseConnector

    public static Message lifecycleErrorCannotUseConnector(String name,
                                                           String lifecyclePhase)

### connectorCausedError

    public static Message connectorCausedError()

### connectorCausedError

    public static Message connectorCausedError(Object connector)

### endpointIsNullForListener

    public static Message endpointIsNullForListener()

### listenerAlreadyRegistered

    public static Message listenerAlreadyRegistered(EndpointURI endpointUri)

### objectAlreadyInitialised

    public static Message objectAlreadyInitialised(String name)

### componentCausedErrorIs

    public static Message componentCausedErrorIs(Object component)

### objectFailedToInitialise

    public static Message objectFailedToInitialise(String string)

### failedToStop

    public static Message failedToStop(String string)

### failedToStart

    public static Message failedToStart(String string)

### proxyPoolTimedOut

    public static Message proxyPoolTimedOut()

### failedToGetPooledObject

    public static Message failedToGetPooledObject()

### objectIsNull

    public static Message objectIsNull(String string)

### componentNotRegistered

    public static Message componentNotRegistered(String name)

### failedtoRegisterOnEndpoint

    public static Message failedtoRegisterOnEndpoint(String name,
                                                     Object endpointURI)

### failedToUnregister

    public static Message failedToUnregister(String name,
                                             Object endpointURI)

### endpointIsMalformed

    public static Message endpointIsMalformed(String endpoint)

### transformFailedBeforeFilter

    public static Message transformFailedBeforeFilter()

### transformUnexpectedType

    public static Message transformUnexpectedType(Class<?> class1,
                                                  Class<?> returnClass)

### transformUnexpectedType

    public static Message transformUnexpectedType(DataType<?> dt1,
                                                  DataType<?> dt2)

### transformOnObjectUnsupportedTypeOfEndpoint

    public static Message transformOnObjectUnsupportedTypeOfEndpoint(String name,
                                                                     Class<?> class1,
                                                                     ImmutableEndpoint endpoint)

### transformFailedFrom

    public static Message transformFailedFrom(Class<?> clazz)

### encryptionStrategyNotSet

    public static Message encryptionStrategyNotSet()

### failedToLoadTransformer

    public static Message failedToLoadTransformer(String direction,
                                                  String transformer)

### failedToLoad

    public static Message failedToLoad(String string)

### messageNotSupportedByMuleMessageFactory

    public static Message messageNotSupportedByMuleMessageFactory(Object message,
                                                                  Class<?> creator)

### tooManyAcceptableMethodsOnObjectForTypes

    public static Message tooManyAcceptableMethodsOnObjectForTypes(Object object,
                                                                   Object types)

### cannotSetPropertyOnObjectWithParamType

    public static Message cannotSetPropertyOnObjectWithParamType(String property,
                                                                 Class<?> class1,
                                                                 Class<?> class2)

### noComponentForEndpoint

    public static Message noComponentForEndpoint()

### failedToCreate

    public static Message failedToCreate(String string)

### noCorrelationId

    public static Message noCorrelationId()

### failedToDispose

    public static Object failedToDispose(String string)

### failedToInvoke

    public static Message failedToInvoke(String string)

### cannotReadPayloadAsBytes

    public static Message cannotReadPayloadAsBytes(String type)

### cannotReadPayloadAsString

    public static Message cannotReadPayloadAsString(String type)

### routingFailedOnEndpoint

    public static Message routingFailedOnEndpoint(Service service,
                                                  ImmutableEndpoint endpoint)

### cannotInstanciateFinder

    public static Message cannotInstanciateFinder(String serviceFinder)

### failedToCreateObjectWith

    public static Message failedToCreateObjectWith(String string,
                                                   Object arg)

### objectNotSetInService

    public static Message objectNotSetInService(Object object,
                                                Object service)

### objectNotFound

    public static Message objectNotFound(Object object)

### objectNotFound

    public static Message objectNotFound(String type,
                                         String object)

### transactionMarkedForRollback

    public static Message transactionMarkedForRollback()

### transactionCannotBindToNullKey

    public static Message transactionCannotBindToNullKey()

### transactionCannotBindNullResource

    public static Message transactionCannotBindNullResource()

### transactionSingleResourceOnly

    public static Message transactionSingleResourceOnly()

### noCurrentEventForTransformer

    public static Message noCurrentEventForTransformer()

### objectNotRegistered

    public static Message objectNotRegistered(String type,
                                              String name)

### failedToSetPropertiesOn

    public static Message failedToSetPropertiesOn(String string)

### failedToCreateConnectorFromUri

    public static Message failedToCreateConnectorFromUri(EndpointURI uri)

### initialisationFailure

    public static Message initialisationFailure(String string)

### failedToCreateEndpointFromLocation

    public static Message failedToCreateEndpointFromLocation(String string)

### managerAlreadyStarted

    public static Message managerAlreadyStarted()

### noEndpointsForRouter

    public static Message noEndpointsForRouter()

### responseTimedOutWaitingForId

    public static Message responseTimedOutWaitingForId(int timeout,
                                                       Object id)

### failedToRecevieWithTimeout

    public static Message failedToRecevieWithTimeout(Object endpoint,
                                                     long timeout)

### failedToWriteMessageToStore

    public static Message failedToWriteMessageToStore(Object id,
                                                      String storeName)

### failedToReadFromStore

    public static Message failedToReadFromStore(String absolutePath)

### cannotStartTransaction

    public static Message cannotStartTransaction(String string)

### transactionCommitFailed

    public static Message transactionCommitFailed()

### transactionRollbackFailed

    public static Message transactionRollbackFailed()

### transactionCannotReadState

    public static Message transactionCannotReadState()

### transactionResourceAlreadyListedForKey

    public static Message transactionResourceAlreadyListedForKey(Object key)

### noOutboundRouterSetOn

    public static Message noOutboundRouterSetOn(String string)

### transactionAvailableButActionIs

    public static Message transactionAvailableButActionIs(String string)

### transactionNotAvailableButActionIs

    public static Message transactionNotAvailableButActionIs(String string)

### noCatchAllEndpointSet

    public static Message noCatchAllEndpointSet()

### interruptedQueuingEventFor

    public static Message interruptedQueuingEventFor(Object object)

### transactionCannotUnbind

    public static Message transactionCannotUnbind()

### transactionAlreadyBound

    public static Message transactionAlreadyBound()

### methodWithParamsNotFoundOnObject

    public static Message methodWithParamsNotFoundOnObject(String method,
                                                           Object class1,
                                                           Class<?> class2)

### transformFailed

    public static Message transformFailed(String from,
                                          String to)

### transformFailed

    public static Message transformFailed(String from,
                                          DataType<?> to)

### cryptoFailure

    public static Message cryptoFailure()

### schemeNotCompatibleWithConnector

    public static Message schemeNotCompatibleWithConnector(String scheme,
                                                           Class<?> expectedClass)

### noEntryPointFoundWithArgs

    public static Message noEntryPointFoundWithArgs(Object object,
                                                    Object args)

### authNoSecurityProvider

    public static Message authNoSecurityProvider(String providerName)

### transactionCanOnlyBindToResources

    public static Message transactionCanOnlyBindToResources(String string)

### cannotLoadFromClasspath

    public static Message cannotLoadFromClasspath(String string)

### failedToReadPayload

    public static Message failedToReadPayload()

### endpointNotFound

    public static Message endpointNotFound(String endpoint)

### eventProcessingFailedFor

    public static Message eventProcessingFailedFor(String name)

### failedToDispatchToReplyto

    public static Message failedToDispatchToReplyto(ImmutableEndpoint endpoint)

### authTypeNotRecognised

    public static Message authTypeNotRecognised(String string)

### authSecurityManagerNotSet

    public static Message authSecurityManagerNotSet()

### authSetButNoContext

    public static Message authSetButNoContext(String name)

### authDeniedOnEndpoint

    public static Message authDeniedOnEndpoint(EndpointURI endpointURI)

### authFailedForUser

    public static Message authFailedForUser(Object user)

### authEndpointMustSendOrReceive

    public static Message authEndpointMustSendOrReceive()

### transactionManagerAlreadySet

    public static Message transactionManagerAlreadySet()

### failedToCreateManagerInstance

    public static Message failedToCreateManagerInstance(String className)

### failedToClone

    public static Message failedToClone(String string)

### exceptionOnConnectorNoExceptionListener

    public static Message exceptionOnConnectorNoExceptionListener(String name)

### uniqueIdNotSupportedByAdapter

    public static Message uniqueIdNotSupportedByAdapter(String name)

### serverNotificationManagerNotEnabled

    public static Message serverNotificationManagerNotEnabled()

### failedToScheduleWork

    public static Message failedToScheduleWork()

### authNoCredentials

    public static Message authNoCredentials()

### valueIsInvalidFor

    public static Message valueIsInvalidFor(String value,
                                            String parameter)

### connectorWithProtocolNotRegistered

    public static Message connectorWithProtocolNotRegistered(String scheme)

### propertyIsNotSupportedType

    public static Message propertyIsNotSupportedType(String property,
                                                     Class<?> expected,
                                                     Class<?> actual)

### propertyIsNotSupportedType

    public static Message propertyIsNotSupportedType(String property,
                                                     Class<?>[] expected,
                                                     Class<?> actual)

### containerAlreadyRegistered

    public static Message containerAlreadyRegistered(String name)

### resourceManagerNotStarted

    public static Message resourceManagerNotStarted()

### resourceManagerDirty

    public static Message resourceManagerDirty()

### resourceManagerNotReady

    public static Message resourceManagerNotReady()

### reconnectStrategyFailed

    public static Message reconnectStrategyFailed(Class<?> strategy,
                                                  String description)

### cannotSetObjectOnceItHasBeenSet

    public static Message cannotSetObjectOnceItHasBeenSet(String string)

### eventTypeNotRecognised

    public static Message eventTypeNotRecognised(String string)

### isStopped

    public static Message isStopped(String name)

### propertyIsNotSetOnEvent

    public static Message propertyIsNotSetOnEvent(String property)

### descriptorAlreadyExists

    public static Message descriptorAlreadyExists(String name)

### failedToInvokeRestService

    public static Message failedToInvokeRestService(String service)

### authNoEncryptionStrategy

    public static Message authNoEncryptionStrategy(String strategyName)

### headerMalformedValueIs

    public static Message headerMalformedValueIs(String header,
                                                 String value)

### transformOnObjectNotOfSpecifiedType

    public static Message transformOnObjectNotOfSpecifiedType(DataType<?> resultType,
                                                              Object expectedType)

### cannotUseTxAndRemoteSync

    public static Message cannotUseTxAndRemoteSync()

### failedToBuildMessage

    public static Message failedToBuildMessage()

### propertiesNotSet

    public static Message propertiesNotSet(String string)

### objectNotOfCorrectType

    public static Message objectNotOfCorrectType(Class<?> actualClass,
                                                 Class<?>[] expectedClass)

### objectNotOfCorrectType

    public static Message objectNotOfCorrectType(Class<?> actualClass,
                                                 Class<?> expectedClass)

### failedToConvertStringUsingEncoding

    public static Message failedToConvertStringUsingEncoding(String encoding)

### propertyHasInvalidValue

    public static Message propertyHasInvalidValue(String property,
                                                  Object value)

### schemeCannotChangeForRouter

    public static Message schemeCannotChangeForRouter(String scheme,
                                                      String scheme2)

### days

    public static Message days()

### hours

    public static Message hours()

### minutes

    public static Message minutes()

### seconds

    public static Message seconds()

### templateCausedMalformedEndpoint

    public static Message templateCausedMalformedEndpoint(String uri,
                                                          String newUri)

### couldNotDetermineDestinationComponentFromEndpoint

    public static Message couldNotDetermineDestinationComponentFromEndpoint(String endpoint)

### sessionValueIsMalformed

    public static Message sessionValueIsMalformed(String string)

### streamingFailedNoStream

    public static Message streamingFailedNoStream()

### connectorSchemeIncompatibleWithEndpointScheme

    public static Message connectorSchemeIncompatibleWithEndpointScheme(Object expected,
                                                                        Object actual)

### failedToReadAttachment

    public static Message failedToReadAttachment(String string)

### failedToInitSecurityProvider

    public static Message failedToInitSecurityProvider(String providerClass)

### streamingNotSupported

    public static Message streamingNotSupported(String protocol)

### streamingComponentMustHaveOneEndpoint

    public static Message streamingComponentMustHaveOneEndpoint(String name)

### streamingFailedForEndpoint

    public static Message streamingFailedForEndpoint(String string)

### streamingEndpointsDoNotSupportTransformers

    public static Message streamingEndpointsDoNotSupportTransformers()

### streamingEndpointsMustBeUsedWithStreamingModel

    public static Message streamingEndpointsMustBeUsedWithStreamingModel()

### tooManyMatchingMethodsOnObjectWhichReturn

    public static Message tooManyMatchingMethodsOnObjectWhichReturn(Object object,
                                                                    Object returnType)

### failedToSetProxyOnService

    public static Message failedToSetProxyOnService(Object proxy,
                                                    Class<?> routerClass)

### mustSetMethodNamesOnBinding

    public static Message mustSetMethodNamesOnBinding()

### cannotFindBindingForMethod

    public static Message cannotFindBindingForMethod(String name)

### noMatchingMethodsOnObjectReturning

    public static Message noMatchingMethodsOnObjectReturning(Object object,
                                                             Class<?> returnType)

### moreThanOneConnectorWithProtocol

    public static Message moreThanOneConnectorWithProtocol(String protocol,
                                                           String connectors)

### failedToGetOutputStream

    public static Message failedToGetOutputStream()

### noEntryPointFoundForNoArgsMethod

    public static Message noEntryPointFoundForNoArgsMethod(Object component,
                                                           String methodName)

### noDelegateClassAndMethodProvidedForNoArgsWrapper

    public static Message noDelegateClassAndMethodProvidedForNoArgsWrapper()

### noDelegateClassIfDelegateInstanceSpecified

    public static Message noDelegateClassIfDelegateInstanceSpecified()

### noServiceTransportDescriptor

    public static Message noServiceTransportDescriptor(String protocol)

### failedToInvokeLifecycle

    public static Message failedToInvokeLifecycle(String phaseName,
                                                  Object object)

### unrecognisedServiceType

    public static Message unrecognisedServiceType(ServiceType type)

### serviceFinderCantFindService

    public static Message serviceFinderCantFindService(String name)

### outboundRouterMustUseOutboudEndpoints

    public static Message outboundRouterMustUseOutboudEndpoints(OutboundRouter router,
                                                                ImmutableEndpoint endpoint)

### exceptionListenerMustUseOutboundEndpoint

    public static Message exceptionListenerMustUseOutboundEndpoint(AbstractExceptionListener exceptionListener,
                                                                   ImmutableEndpoint endpoint)

### productInformation

    public static Message productInformation()

  Returns a message that is a product informatin.

  Returns:
    message

### noTransformerFoundForMessage

    public static Message noTransformerFoundForMessage(DataType<?> input,
                                                       DataType<?> output)

### errorReadingStream

    public static Message errorReadingStream()

### noEntryPointFoundForNoArgsMethodUsingResolver

    public static Message noEntryPointFoundForNoArgsMethodUsingResolver(Object component,
                                                                        String methodName)

### noEntryPointFoundWithArgsUsingResolver

    public static Message noEntryPointFoundWithArgsUsingResolver(Object object,
                                                                 Object args)

### noMatchingMethodsOnObjectReturningUsingResolver

    public static Message noMatchingMethodsOnObjectReturningUsingResolver(Object object,
                                                                          Class<?> returnType)

### tooManyAcceptableMethodsOnObjectUsingResolverForTypes

    public static Message tooManyAcceptableMethodsOnObjectUsingResolverForTypes(Object object,
                                                                                Object types,
                                                                                String methods)

### tooManyMatchingMethodsOnObjectUsingResolverWhichReturn

    public static Message tooManyMatchingMethodsOnObjectUsingResolverWhichReturn(Object object,
                                                                                 Object returnType)

### objectDoesNotImplementInterface

    public static Message objectDoesNotImplementInterface(Object object,
                                                          Class<?> interfaceClass)

### invocationSuccessfulCantSetError

    public static Message invocationSuccessfulCantSetError()

### noMatchingMethodsOnObjectCalledUsingResolver

    public static Message noMatchingMethodsOnObjectCalledUsingResolver(Object object,
                                                                       String methodName)

### noJtaTransactionAvailable

    public static Message noJtaTransactionAvailable(Thread callingThread)

### notMuleXaTransaction

    public static Message notMuleXaTransaction(Object tx)

### noServiceQueueTimeoutSet

    public static Message noServiceQueueTimeoutSet(Service service)

### failedToProcessExtractorFunction

    public static Message failedToProcessExtractorFunction(String name)

### expressionEvaluatorNotRegistered

    public static Message expressionEvaluatorNotRegistered(String key)

### objectAlreadyExists

    public static Message objectAlreadyExists(String key)

### noMuleTransactionAvailable

    public static Message noMuleTransactionAvailable()

### objectAlreadyRegistered

    public static Message objectAlreadyRegistered(String name,
                                                  Object origObject,
                                                  Object newObject)

### transformerNotImplementDiscoverable

    public static Message transformerNotImplementDiscoverable(Transformer transformer)

### transformHasMultipleMatches

    public static Message transformHasMultipleMatches(Class<?> input,
                                                      Class<?> output,
                                                      Transformer transformer1,
                                                      Transformer transformer2)

### configurationBuilderSuccess

    public static Message configurationBuilderSuccess(ConfigurationBuilder configurationBuilder,
                                                      int numResources)

### configurationBuilderSuccess

    public static Message configurationBuilderSuccess(ConfigurationBuilder configurationBuilder,
                                                      String resources)

### configurationBuilderNoMatching

    public static Message configurationBuilderNoMatching(String resource)

### configurationBuilderError

    public static Message configurationBuilderError(ConfigurationBuilder configurationBuilder)

### nestedRetry

    public static Message nestedRetry()

### expressionEvaluatorReturnedNull

    public static Message expressionEvaluatorReturnedNull(String name,
                                                          String expr)

### expressionInvalidForProperty

    public static Message expressionInvalidForProperty(String property,
                                                       String expr)

### expressionMalformed

    public static Message expressionMalformed(String expr,
                                              String eval)

### correlationTimedOut

    public static Message correlationTimedOut(Object groupId)

### transformerInvalidReturnType

    public static Message transformerInvalidReturnType(Class<?> clazz,
                                                       String transformerName)

### transactionFactoryIsMandatory

    public static Message transactionFactoryIsMandatory(String action)

### failedToCreateProxyFor

    public static Message failedToCreateProxyFor(Object target)

### authorizationAttemptFailed

    public static Message authorizationAttemptFailed()

### retryPolicyExhausted

    public static Message retryPolicyExhausted(RetryPolicyTemplate policy)

### notConnectedYet

    public static Message notConnectedYet(String what)

### stopPausedSedaStageNonPeristentQueueMessageLoss

    public static Message stopPausedSedaStageNonPeristentQueueMessageLoss(int num,
                                                                          String name)

### splitMessageNoEndpointMatch

    public static Message splitMessageNoEndpointMatch(List<?> endpoints,
                                                      Object messagePart)

### expressionResultWasNull

    public static Message expressionResultWasNull(String expression)

### propertyDoesNotExistOnObject

    public static Message propertyDoesNotExistOnObject(String property,
                                                       Object object)

### commitTxButNoResource

    public static Message commitTxButNoResource(Transaction tx)

### rollbackTxButNoResource

    public static Message rollbackTxButNoResource(Transaction tx)

### cannotCopyStreamPayload

    public static Message cannotCopyStreamPayload(String streamType)

### propertiesOrNotSet

    public static Message propertiesOrNotSet(String name,
                                             String properties)

### transforemrMapBeanClassNotSet

    public static Message transforemrMapBeanClassNotSet()

### lifecyclePhaseNotRecognised

    public static Message lifecyclePhaseNotRecognised(String phase)

### notificationListenerSubscriptionAlreadyRegistered

    public static Message notificationListenerSubscriptionAlreadyRegistered(ListenerSubscriptionPair listenerPair)

### applicationShutdownNormally

    public static Message applicationShutdownNormally(String appName,
                                                      Date date)

### applicationWasUpForDuration

    public static Message applicationWasUpForDuration(long duration)

### errorSchedulingMessageProcessorForAsyncInvocation

    public static Message errorSchedulingMessageProcessorForAsyncInvocation(MessageProcessor processor)

### errorInvokingMessageProcessorAsynchronously

    public static Message errorInvokingMessageProcessorAsynchronously(MessageProcessor processor)

### errorInvokingMessageProcessorWithinTransaction

    public static Message errorInvokingMessageProcessorWithinTransaction(MessageProcessor processor,
                                                                         TransactionConfig transactionConfig)

### failedToStartInboundEndpoint

    public static Message failedToStartInboundEndpoint(InboundEndpoint endpoint)

### failedToStopInboundEndpoint

    public static Message failedToStopInboundEndpoint(InboundEndpoint endpoint)

### messageRejectedByFilter

    public static Message messageRejectedByFilter()

### interruptedWaitingForPaused

    public static Message interruptedWaitingForPaused(String name)

### objectHasMoreThanOnePostConstructAnnotation

    public static Message objectHasMoreThanOnePostConstructAnnotation(Class<?> clazz)

### objectHasMoreThanOnePreDestroyAnnotation

    public static Message objectHasMoreThanOnePreDestroyAnnotation(Class<?> clazz)

### lifecycleMethodNotVoidOrHasParams

    public static Message lifecycleMethodNotVoidOrHasParams(Method method)

### lifecycleMethodCannotBeStatic

    public static Message lifecycleMethodCannotBeStatic(Method method)

### lifecycleMethodCannotThrowChecked

    public static Message lifecycleMethodCannotThrowChecked(Method method)

### cannotRenameInboundScopeProperty

    public static Message cannotRenameInboundScopeProperty(String fromKey,
                                                           String toKey)

### failedToFindEntrypointForComponent

    public static Message failedToFindEntrypointForComponent(String message)

### exchangePatternForEndpointNotSupported

    public static Message exchangePatternForEndpointNotSupported(MessageExchangePattern mep,
                                                                 String direction,
                                                                 EndpointURI endpointURI)

### illegalMIMEType

    public static Message illegalMIMEType(String badMIMIEType)

### unexpectedMIMEType

    public static Message unexpectedMIMEType(String badMIMIEType,
                                             String goodMIMEType)

### dynamicEndpointURIsCannotBeUsedOnInbound

    public static Message dynamicEndpointURIsCannotBeUsedOnInbound()

### dynamicEndpointsMustSpecifyAScheme

    public static Message dynamicEndpointsMustSpecifyAScheme()

### asyncDoesNotSupportTransactions

    public static Message asyncDoesNotSupportTransactions()

### methodWithNumParamsNotFoundOnObject

    public static Message methodWithNumParamsNotFoundOnObject(String method,
                                                              int numArgments,
                                                              Object object)

### expressionEnricherNotRegistered

    public static Message expressionEnricherNotRegistered(String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.